# Wan 25 Preview

## wan-25-preview-text-to-image

> Wan 2.5 text-to-image model.

````json
{"openapi":"3.1.0","info":{"title":"API Reference","version":"1.0.0"},"tags":[{"name":"wan-25-preview"}],"servers":[{"url":"https://image.onerouter.pro","description":"Image"}],"security":[],"paths":{"/v1/images/generations":{"post":{"summary":"wan-25-preview-text-to-image","deprecated":false,"description":"Wan 2.5 text-to-image model.","tags":["wan-25-preview"],"parameters":[{"name":"Authorization","in":"header","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"model":{"type":"string","description":"model is the model name"},"prompt":{"type":"string","description":"prompt  is the prompt."},"size":{"type":"object","properties":{"height":{"type":"integer"},"width":{"type":"integer"}},"required":["height","width"],"description":"The size of the generated image. Can use preset names like 'square', 'landscape_16_9', etc., or specific dimensions. Total pixels must be between 768×768 and 1440×1440, with aspect ratio between [1:4, 4:1]. Default value: `square`\n\nPossible enum values: `square_hd`, `square`, `portrait_4_3`, `portrait_16_9`, `landscape_4_3`, `landscape_16_9`\n\nNote: For custom image sizes, you can pass the width and height as an object:\n```json\n\"image_size\": {\n  \"width\": 1280,\n  \"height\": 720\n}\n```"},"enable_prompt_expansion":{"type":"boolean","description":"Whether to enable prompt rewriting using LLM. Improves results for short prompts but increases processing time. Default value: `true`","default":true},"seed":{"type":"integer","description":"Random seed for reproducibility. If None, a random seed is chosen.\n\n\n"},"negative_prompt":{"type":"string","description":"Negative prompt to describe content to avoid. Max 500 characters.\n\n"},"n":{"type":"integer","description":"n  is the number of images to generate, default value is `1`.","default":1},"output_format":{"type":"string","description":"output_format indicate the output format, default value is `url`.","enum":["url","b64_json"],"default":"url"}},"required":["model","prompt"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"b64_json":{"type":"string"},"revised_prompt":{"type":"string"}}}},"created":{"type":"integer"}},"required":["data","created"]}}},"headers":{}}}}}}}
````
